require "dgr/version"
require 'rest_client'
require "json"

module Dgr

  def self.fetch(data_id, options = {})
    fields = options[:fields]
    selector = options[:selector]
    limit = options[:limit]
    skip = options[:skip]
    group = options[:group]
    segments = options[:segments]
    response = RestClient.get "http://www.datagarage.io/api/#{data_id}",
    {
      :params => {
        :fields => fields,
        :selector => selector,
        :limit => limit,
        :skip => skip,
        :group => group,
        :segments => segments
      }
    }
  end

end
